Skip to content
FreeTicketDocs
Esc
↑↓navigate↵open⌘Jpreview

Check in a ticket at the door

Minimum role: STAFF. Active workspace via the X-Workspace-Id header.

POST/tickets/{ticketCode}/checkin
Authorization
AuthorizationAPI key · headerrequired

API key prefixed with Bearer . Alternative: the x-api-key header with the raw key. Available scopes: read and write (see /.well-known/oauth-protected-resource).

or
x-api-keyAPI key · headerrequired

Raw API key (without Bearer ), alternative to Authorization.

Path parameters
ticketCodestringrequired
Header parameters
X-Workspace-Idstring

Active workspace to operate on. Optional: when omitted, the default workspace of the user who owns the key is used (pickActiveOrg).

Request body
requiredapplication/json
sourcestring | null
Show properties
Any of:
string
string
null
null
Responses
200

OK

dataCheckinResultrequired
Show properties
ticketCodestringrequired
checkedInAtstring | nullrequired
Show properties
Any of:
string
string
null
null
checkedInBystring | nullrequired
Show properties
Any of:
string
string
null
null
alreadyCheckedInbooleanrequired
401

Missing or invalid credential.

errorobjectrequired
Show properties
codestringrequired
messagestringrequired
retryablebooleanrequired
detailsany
403

Insufficient role or resource not accessible.

errorobjectrequired
Show properties
codestringrequired
messagestringrequired
retryablebooleanrequired
detailsany
404

Resource does not exist or is out of scope.

errorobjectrequired
Show properties
codestringrequired
messagestringrequired
retryablebooleanrequired
detailsany
422

Request body/parameter validation failed.

errorobjectrequired
Show properties
codestringrequired
messagestringrequired
retryablebooleanrequired
detailsany
Try it
Server
Authorization
Parameters
Bodyapplication/json
Request
curl -X POST 'https://admin.appfreeticket.com/api/v1/tickets/string/checkin' \
  -H 'Authorization: YOUR_API_KEY' \
  -H 'Content-Type: application/json' \
  -d '{
  "source": "pdf"
}'
Response
{
  "data": {
    "ticketCode": "string",
    "checkedInAt": "string",
    "checkedInBy": "string",
    "alreadyCheckedIn": true
  }
}